## bidentd 1.0.7

=== Makefile ===
VERSION = 1.0.7

CPP=gcc
CXX=g++
CPPFLAGS=-Wall -W -pedantic -g -pipe -Wtraditional -Wundef -Wbad-function-cast \
    -Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes \
    -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls \
    -Wnested-externs -Winline -DVERSION=\"$(VERSION)\"
CXXFLAGS=-O2 -fomit-frame-pointer
LDFLAGS=-s
BINDIR=/usr/local/sbin
MANDIR=/usr/local/man/man8
INSTALL=install

PROG=bidentd
OBJS=main.o

ARCHDIR=archives/
ARCHNAME=${PROG}-$(VERSION)
ARCHFILES=main.cc README ChangeLog COPYING sizes.h rfc1413 INSTALL bidentd.8
INSTALLPROGS=$(PROG)
DEPFUN_INSTALL=bin

$(PROG): $(OBJS)
	$(CXX) $(LDFLAGS) -o $@ $^

install: install${DEPFUN_INSTALL}
	install -c -m 644 ${PROG}.8 ${MANDIR}/${PROG}.8
	@echo Done.
	@echo Now ensure that ${PROG} starts automatically from inetd.
deinstall: uninstall
uninstall: uninstall${DEPFUN_INSTALL}
	
startup: install
	@echo You must manually make inetd spawn ${PROG}.
	@echo Try adding this line to /etc/inetd.conf:
	@echo auth stream tcp nowait nobody ${BINDIR}/$PROG $PROG

update: uninstall${DEPFUN_INSTALL} start
	- killall -1 inetd
	@echo Updated.

clean:
	rm -f $(PROG) $(OBJS)
distclean: clean
	rm -f core *~ .depend
realclean: distclean

include depfun.mak

## bidentd 1.0.10.dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.0.7
+VERSION = 1.0.10
 
 CPP=gcc
 CXX=g++
@@ -17,7 +17,8 @@
 
 ARCHDIR=archives/
 ARCHNAME=${PROG}-$(VERSION)
-ARCHFILES=main.cc README ChangeLog COPYING sizes.h rfc1413 INSTALL bidentd.8
+ARCHFILES=main.cc ChangeLog COPYING sizes.h \
+          rfc1413 bidentd.8 progdesc.php
 INSTALLPROGS=$(PROG)
 DEPFUN_INSTALL=bin

## bidentd 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-VERSION = 1.0.10
+VERSION = 1.1.1
 
 CPP=gcc
 CXX=g++
-CPPFLAGS=-Wall -W -pedantic -g -pipe -Wtraditional -Wundef -Wbad-function-cast \
+CPPFLAGS=-Wall -W -pedantic -g -pipe -Wundef \
     -Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes \
-    -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls \
-    -Wnested-externs -Winline -DVERSION=\"$(VERSION)\"
+    -Wmissing-prototypes -Wredundant-decls \
+    -Winline -DVERSION="\"$(VERSION)\""
 CXXFLAGS=-O2 -fomit-frame-pointer
 LDFLAGS=-s
 BINDIR=/usr/local/sbin
@@ -18,7 +18,7 @@
 ARCHDIR=archives/
 ARCHNAME=${PROG}-$(VERSION)
 ARCHFILES=main.cc ChangeLog COPYING sizes.h \
-          rfc1413 bidentd.8 progdesc.php
+          bidentd.8 progdesc.php
 INSTALLPROGS=$(PROG)
 DEPFUN_INSTALL=bin

## bidentd 1.1.3

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,12 @@
-VERSION = 1.1.1
+VERSION = 1.1.3
 
 CPP=gcc
-CXX=g++
-CPPFLAGS=-Wall -W -pedantic -g -pipe -Wundef \
-    -Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes \
-    -Wmissing-prototypes -Wredundant-decls \
-    -Winline -DVERSION="\"$(VERSION)\""
-CXXFLAGS=-O2 -fomit-frame-pointer
-LDFLAGS=-s
+CPPFLAGS += -DVERSION="\"$(VERSION)\""
+CXXFLAGS += -O2 -fomit-frame-pointer -pipe \
+    -Wall -W -pedantic -Wundef \
+    -Wcast-qual -Wcast-align -Wwrite-strings \
+    -Wredundant-decls -Winline
+LDFLAGS +=
 BINDIR=/usr/local/sbin
 MANDIR=/usr/local/man/man8
 INSTALL=install
@@ -26,7 +25,7 @@
 	$(CXX) $(LDFLAGS) -o $@ $^
 
 install: install${DEPFUN_INSTALL}
-	install -c -m 644 ${PROG}.8 ${MANDIR}/${PROG}.8
+	install -c -s -m 644 ${PROG}.8 ${MANDIR}/${PROG}.8
 	@echo Done.
 	@echo Now ensure that ${PROG} starts automatically from inetd.
 deinstall: uninstall

## bidentd 1.1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.1.3
+VERSION = 1.1.4
 
 CPP=gcc
 CPPFLAGS += -DVERSION="\"$(VERSION)\""

=== debian/changelog ===
bidentd (1.1.4-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Finish removing CDBS

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Aug 2025 23:04:18 +0200

bidentd (1.1.4-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove cdbs quilt (closes: #1072895).

 -- Bastian Germann <bage@debian.org>  Sat, 14 Dec 2024 11:49:11 +0100

bidentd (1.1.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Set Architecture to linux-any (closes: #961964).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 May 2024 16:23:26 +0100

bidentd (1.1.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * postinst: do not call update-inetd with the --pattern option when --add
    is used (closes: #909505).

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 11 Mar 2020 13:12:52 +0000

bidentd (1.1.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debconf translations:
    - add Danish, Joe Hansen (closes: #658529)
    - add Slovak, Slavko (closes: #685544)
    - add Italian, Beatrice Torracca (closes: #685689)
    - add Polish, Michał Kułach (closes: #685698)
    - update Brazilian Portuguese, Adriano Rafael Gomes (closes: #685758)

 -- David Prévot <taffit@debian.org>  Fri, 24 Aug 2012 17:52:19 -0400

bidentd (1.1.4-1) unstable; urgency=low

  * New upstream release (closes: #286917)
  * Updated standards-version (no changes)
  * Include Russian translation (closes: #558277)
  * Switch to quilt package format

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Thu, 29 Apr 2010 16:50:54 +0200

bidentd (1.1.3-2) unstable; urgency=low

  * Fail to build if not on linux (we need linux /proc)
  * Switch to cdbs
  * Split debconf __Choices
  * Fixed hyphens in manpage

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Wed, 28 Oct 2009 19:44:24 +0100

bidentd (1.1.3-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU (closes: #417116, #427306, #466105, #419208)
  * Resume maintainership (closes: #46999, #540924)
  * Switch to debhelper 7 and update standards version
  * Remove the NMU hack that overwrote CPPFLAGS
    * The binary is already built with debug info
    * dh_strip handles nostrip itself (closes: #436585)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Tue, 20 Oct 2009 13:01:53 +0200

bidentd (1.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417116).
  * Fix postinst hangs (Closes: #427306).
  * Depend on inet-superserver (Closes: #466105).
  * Update Spanish debconf translation (Closes: #419208).

 -- Luk Claes <luk@debian.org>  Sat, 08 Mar 2008 16:00:46 +0000

bidentd (1.1.1-1) unstable; urgency=low

  * Acknowledge NMU (closes: #391162, #389639, #376834, #349802, #333262, #313155, #331760, #365189)
  * Included portuguese translation, thanks to Rui Branco (closes: #386351)
  * Switch the debhelper 5
  * Changed the debconf prompts to appease lintian

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 14 Jan 2007 22:21:15 +0100

bidentd (1.1.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Check for update-inetd to be available on package purge
    Closes: #389639

 -- Michael Ablassmeier <abi@debian.org>  Wed,  4 Oct 2006 16:14:10 +0200

bidentd (1.1.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (closes: #376834)
  	- supports Linux kernel 2.6 (closes: #349802)
  * Included Sverige debconf template, thanks to Daniel Nylander (closes: #333262)
  * Included Vietnamese debconf template, thanks to Clytie Siddall (closes: #313155)
  * Using debconf 1 or 2 (closes: #331760)  
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Mon, 02 Sep 2006 02:02:00 +0200

bidentd (1.0.10.dfsg-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove non-free RFC (Closes: #365189)
  * Bump standards version
  * DH_COMPAT=4
  * Switch to Architecture: any

 -- Julien Danjou <acid@debian.org>  Mon, 31 Jul 2006 11:00:28 +0200

bidentd (1.0.10-7) unstable; urgency=low

  * Included Czech debconf template (closes: #293005)
  * Included Catalan debconf template (closes: #290570)
  * Changed bidentd to be run as root in /etc/inetd.conf (closes: #271279)
    - newer 2.4 kernels (and all 2.6) have -r--r----- root.root ip_conntrack
    - changed source code to drop permissions immediately after open

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Tue,  8 Mar 2005 18:57:36 +0100

bidentd (1.0.10-6) unstable; urgency=low

  * Included german debconf templates (closes: #250574)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 29 Aug 2004 16:14:30 +0200

bidentd (1.0.10-5) unstable; urgency=low

  * Added amd64 to arch list (closes: #249799)
  * Only excluding hurd (does not have linux-style /proc)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sat, 22 May 2004 11:45:06 +0200

bidentd (1.0.10-4) unstable; urgency=low

  * Added new translations (closes: #207950, #241316)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Mon,  5 Apr 2004 19:05:20 +0200

bidentd (1.0.10-3) unstable; urgency=low

  * Included french PO file (closes: #206591)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sat, 23 Aug 2003 14:19:36 +0200

bidentd (1.0.10-2) unstable; urgency=low

  * Included bubulle's patch for gettext-based debconf (closes: #20580)
  * Updated to standards version 3.6.0 (no changes)
  * Corrected a policy violation involving stamping on user config
    - now we only ask a low priority debconf question with a good default
    - manual user config is preserved automatically
    - unfortunately broke the translated debconf templates

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Tue, 19 Aug 2003 12:16:23 +0000

bidentd (1.0.10-1) unstable; urgency=low

  * New upstream release.
  * Switched to the more common debhelper build-system.
  * Built against g++ 3.2

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Thu, 13 Feb 2003 19:01:21 +0000

bidentd (1.0.9-1) unstable; urgency=low



=== debian/control ===
Source: bidentd
Maintainer: Wesley W. Terpstra (Debian) <terpstra@debian.org>
Section: net
Priority: extra
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2

Package: bidentd
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, debconf, openbsd-inetd | inet-superserver
Provides: ident-server
Conflicts: ident-server
Homepage: http://bisqwit.iki.fi/source/bidentd.html
Description: Bisqwit's identd for NAT proxying
 This daemon provides an Identification Protocol (RFC 1413) daemon.  It
 works like an ident daemon is supposed to work.  Masquerading is
 supported, and works recursively.  Works only under Linux, due to the
 use of /proc filesystem.
 .
 A typical case for using Bisqwit's identd:
   - Alpha has the internet connection. It has an ip in internet.
   - Beta is masqueraded by Alpha.
   - Gamma is masqueraded by Beta.
   - Somebody in Gamma starts irc, and the irc server (in internet)
     gets the username of the user in Gamma, correctly.
 All of these computers would be running bidentd (from inetd),
 although Gamma could have any ident daemon, as it does not masquerade
 further.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	make BINDIR=debian/bidentd/usr/bin MANDIR=debian/bidentd/usr/share/man
